Bug 75851 - Planeshift: grass and trees with windows behind PlaneShift window shining through (only with compositing enabled)
Summary: Planeshift: grass and trees with windows behind PlaneShift window shining thr...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 10.1
Hardware: Other All
: medium normal
Assignee: Kenneth Graunke
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-06 20:51 UTC by Martin Steigerwald
Modified: 2014-04-26 17:29 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
first example, just strange colors, that come from stuff behind PlaneShift window (511.09 KB, image/png)
2014-03-06 20:51 UTC, Martin Steigerwald
Details
sight into another world: background windows visible in PlaneShift window (490.62 KB, image/png)
2014-03-06 20:55 UTC, Martin Steigerwald
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Steigerwald 2014-03-06 20:51:38 UTC
Created attachment 95243 [details]
first example, just strange colors, that come from stuff behind PlaneShift window

Since some time (maybe Mesa 10 and Linux 3.13) I have a new graphical glitch in PlaneShift.

When compositiing is enabled in Kwin as of KDE SC 4.12.2 grass and trees have areas with trees or grass that stuff from windows behind the PlaneShift window.

If I disable compositing in KWin the glitches go away. I will upload some screenshots in a moment.

This is with ThinkPad T520 Intel gfx only:

martin@merkaba:~> lspci -nn | grep VGA   
00:02.0 VGA compatible controller [0300]: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0126] (rev 09)

martin@merkaba:~> cat /proc/version
Linux version 3.14.0-rc4-tp520 (martin@merkaba) (gcc version 4.8.2 (Debian 4.8.2-16) ) #47 SMP PREEMPT Mon Feb 24 20:59:59 CET 2014

PlaneShift Azure Spirit (0.6.0)

martin@merkaba:~> apt-show-versions | egrep "(libgl1|libdrm)"
libdrm-dev:amd64/sid 2.4.52-1 uptodate
libdrm-intel1:amd64/sid 2.4.52-1 uptodate
libdrm-intel1:i386/sid 2.4.52-1 uptodate
libdrm-nouveau1a:amd64 2.4.40-1~deb7u2 installed: No available version in archive
libdrm-nouveau2:amd64/sid 2.4.52-1 uptodate
libdrm-nouveau2:i386/sid 2.4.52-1 uptodate
libdrm-radeon1:amd64/sid 2.4.52-1 uptodate
libdrm-radeon1:i386/sid 2.4.52-1 uptodate
libdrm2:amd64/sid 2.4.52-1 uptodate
libdrm2:i386/sid 2.4.52-1 uptodate
libgl1-mesa-dev:amd64/experimental 10.1.0~rc2-1 uptodate
libgl1-mesa-dri:amd64/experimental 10.1.0~rc2-1 uptodate
libgl1-mesa-dri:i386/experimental 10.1.0~rc2-1 uptodate
libgl1-mesa-glx:amd64/experimental 10.1.0~rc2-1 uptodate
libgl1-mesa-glx:i386/experimental 10.1.0~rc2-1 uptodate
Comment 1 Martin Steigerwald 2014-03-06 20:55:51 UTC
Created attachment 95244 [details]
sight into another world: background windows visible in PlaneShift window
Comment 2 Martin Steigerwald 2014-03-06 20:56:46 UTC
Kenneth, I am assigning this to you from Ian, as you took care of some of my PlaneShift reports from quite some time ago.
Comment 3 Kenneth Graunke 2014-04-13 20:46:59 UTC
I'm guessing this is probably the same issue as #74980.  Not marking it a duplicate though because I'm not sure.
Comment 4 Kenneth Graunke 2014-04-26 17:05:35 UTC
Hi Martin,

Can you try upgrading to xserver 1.15.1 or 1.14.6?  I believe that may fix your issue.

--Ken
Comment 5 Martin Steigerwald 2014-04-26 17:29:08 UTC
I have xserver-xorg-core 2:1.15.1-1 already on this Debian Sid machine. And I really think I didn´t see this since quite a while.

Thus I set it to resolved/fixed. If I see it again, I reopen it.

Thanks,
Martin


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.